function mean_time=simple_gpu_benchmark()
    N = 1000;

    A = rand(N,"gpuArray");
    B = rand(N,"gpuArray");

    mean_time = [];
    num_iters = 100;
    num_of_gpus = gpuDeviceCount("available");

    th=false;

    if num_of_gpus>4
        num_of_gpus=4;
        th = true;
    end

    parfor j=1:num_of_gpus
        times = zeros(num_iters,1);
        for i = 1:num_iters
            tic;
            C = A*B;
            times(i) = toc;
        end
        mean_time(j) = mean(times);
    end
    
    if th
        mean_time(5)=10;
        mean_time(6) = num_of_gpus;
    end
end